using ReactiveUI.SourceGenerators;
using Avalonia.Media;

namespace StarsAssistant.ViewModels.DataGridColumn;

public partial class PopulationCapacity(int value) : ViewModelBase
{
    [Reactive] private int _value = value;

    public IBrush BackgroundColor => _value switch
    {
        < 25 => Brushes.Khaki,
        <= 33 => Brushes.PaleGreen,
        <= 50 => Brushes.Khaki,
        > 100 => Brushes.LightCoral,
        > 99 => Brushes.LightGray,
        _ => Brushes.White
    };
}